%global pkgname netapp-ontap
%global srcname netapp_ontap

Name:           python-%{pkgname}
Summary:        Library for working with ONTAP's REST APIs simply in Python
Version:        9.11.1.0
Release:        1%{?dist}
License:        BSD
URL:            https://library.netapp.com/ecmdocs/ECMLP2882316/html/index.html
Source:         %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
The Python client library is a package you can use when writing scripts
to access the ONTAP REST API. It provides support for several underlying
services, including connection management, asynchronous request processing,
and exception handling.
By using the Python client library, you can quickly develop robust code
to support the automation of your ONTAP deployments.}

%description %{_description}

%package -n ontap-cli
Summary:        NetApp ONTAP CLI
Requires:       python3-%{pkgname} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       python3-%{pkgname}+cli = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n ontap-cli
%{summary}.

%files -n ontap-cli
%{_bindir}/ontap-cli

%package doc
Summary:        Documentation for %{name}

%description doc
%{summary}.

%files doc
%doc docs

%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(requests)

%description -n python3-%{pkgname} %{_description}

%files -n python3-%{pkgname} -f %{pyproject_files}

%pyproject_extras_subpkg -n python3-%{pkgname} cli

%prep
%autosetup -n %{srcname}-%{version}
mv netapp_ontap/docs .

%generate_buildrequires
%pyproject_buildrequires -R

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files netapp_ontap
